<template>
    <div class="eve-content">
        <div class="eve-header">
            <div class="header-item" style="width: 12%">序号</div>
            <div
                class="header-item"
                :style="{width: it.width}"
                v-for="(it, ind) in listOption"
                :key="ind"
            >
                {{ it.label }}
            </div>
        </div>
        <div class="eve-body" v-if="dataList.length">
                <div
                    class="body-item"
                    v-for="(item, index) in dataList"
                    :key="index"
                >
                    <div class="item-row" style="width: 12%">
                        {{ index + 1 }}
                    </div>
                    <div
                        class="item-row"
                        :style="{width: it.width}"
                        v-for="(it, ind) in listOption"
                        :key="ind"
                    >
                        <span
                            v-if="it.dict"
                            :title="getDictName(it.dict, item[it.prop])"
                            >{{ getDictName(it.dict, item[it.prop]) }}</span
                        >

                        <span v-else :title="item[it.prop]">{{
                            item[it.prop]
                        }}</span>
                    </div>
                </div>
        </div>
        <el-empty
            v-else
            description="暂无数据"
            :image-size="100"
            :image="require('@/assets/img/empty1.png')"
        ></el-empty>
    </div>
</template>

<script>
import bigScreenAPI from '@/api/BigScreen/index.js'
import utils from '@/utils.js'
export default {
    name: 'concernGroup',
    components: {},
    props: {
        formData: {
            type: Object,
            default: () => {
                return {}
            },
        },
    },
    watch: {
        formData: {
            handler(newVal, oldVal) {
                this.getData()
            },
            deep: true,
        },
    },
    computed: {
    },
    data() {
        return {
            queryForm: {
                pageBean: {
                    page: 1,
                    pageSize: 6,
                    showTotal: true,
                },
                querys: [
                    {
                        group: 'main',
                        operation: 'LIKE',
                        parentGroup: '',
                        property: 'areaFullCode',
                        relation: 'AND',
                        value: '',
                    },
                    // {
                    //     group: 'main',
                    //     operation: 'EQUAL',
                    //     parentGroup: '',
                    //     property: 'year',
                    //     relation: 'AND',
                    //     value: '',
                    // },
                    // {
                    //     group: 'main',
                    //     operation: 'EQUAL',
                    //     parentGroup: '',
                    //     property: 'month',
                    //     relation: 'AND',
                    //     value: '',
                    // },
                ],
                params: {},
            },
            listOption: [
                // {
                //     label: '事件名称',
                //     prop: 'eventName',
                //     width: '18%',
                // },
                // {
                //     label: '事件编号',
                //     prop: 'eventCode',
                //     width: '25%',
                // },
                // {
                //     label: '事件类型',
                //     prop: 'eventType',
                //     dict: 'sjfx-sjfl',
                //     width: '15%',
                // },
                {
                    label: '被处置对象名称',
                    prop: 'disposedObjectName',
                    width: '45%',
                },
                {
                    label: '对象类型',
                    prop: 'type',
                    dict: 'dxlx',
                    width: '24%',
                },
                {
                    label: '扣分情况',
                    prop: 'score',
                    width: '19%',
                },
            ],
            dataList: [], // 列表数据
        }
    },
    created() {},
    mounted() {
        this.getData()
    },
    methods: {
        // 获取重点关注团体数据列表
        getData() {
            this.queryForm.querys[0].value = this.formData.areaCode
            this.queryForm.params.year = this.formData.date.slice(0, 4)
            this.queryForm.params.month = this.formData.date.slice(5)
            bigScreenAPI.getConcernGroup(this.queryForm).then((res) => {
                this.dataList = res.rows
            })
        },
        getDictName(code, value) {
            return utils.getDictName(code, value)
        },
    },
}
</script>

<style scoped lang="scss">
.eve-content {
    height: calc(100% - 40px);
    .eve-header {
        display: flex;
        align-items: center;
        height: 26px;
        .header-item {
            text-align: center;
            color: #00eaff;
            font-size: 16px;
        }
    }
    .eve-body {
        height: calc(100% - 26px);
        // overflow-y: hidden;
        overflow-y: scroll;
        .body-item {
            display: flex;
            align-items: center;
            height: 30px;
            .item-row {
                text-align: center;
                white-space: nowrap;
                overflow: hidden;
                text-overflow: ellipsis;
                font-size: 16px;
                color: rgba(255,255,255,0.7);
                span {
                    font-size: 16px;
                }
                .operate {
                    display: inline-block;
                    padding: 3px 4px;
                    background-color: #41a0ff;
                    transform: scale(0.8);
                    border-radius: 3px;
                    cursor: pointer;
                }
            }
        }
        &::-webkit-scrollbar {
            width: 0px !important;
        }
    }
}
</style>
